# Instances
Keywords: stratus

Subsections

- Name
- Synopsys
- Description
- Parameters
- Example
- Errors
- See Also

##
Instances

### Name

Inst - Creation of instances

### Synopsys

    Inst ( model
         , name
         , map = connectmap
         )

### Description

Instantiation of an instance. The type of the instance is given by the `model` parameter. The connexions are made thanks to the `connectmap` parameters.

### Parameters

- `Model` : Name of the mastercell of the instance to create (mandatory argument)
- `name` : Name of the instance (optional)
  When this argument is not defined, the instance has a name created by default. This argument is usefull when one wants to create a layout as well. Indeed, the placement of the instances is much easier when the conceptor has chosen himself the name f the instances.</para>
- `connectmap` : Connexions in order to make the netlist

`param` and `map` are dictionnaries as shown in the example below.

### Example

    Inst ( 'a2_x2'
         , map = { 'i0'  : in0
                 , 'i1'  : in1
                 , 'q'   : out
                 , 'vdd' : vdd
                 , 'vss' : vss
                 }
         )

You can see a concrete example at : Example

### Errors

Some errors may occur :

- `Error in Inst : the model Model does not exist.`
  `Check CRL_CATA_LIB.`
  Either one has made a mistake in the name of the model, either the environment variable is not correct.
- `Error in Inst : port does not exist in model Model.`
  One port in map is not correct.
- `Error in Inst : one input net is not dimensionned.`
  The size of the output nets is automatically calculated bus the input nets must be dimensionned before being connected.

### See Also

Introduction